Debian Bug report logs - #446522
gparted: crashes when rescanning devices after any operation

version graph

Package: gparted; Maintainer for gparted is Phillip Susi <psusi@ubuntu.com>; Source for gparted is src:gparted.

Reported by: Paulo Marcel Coelho Aragão <marcelpaulo@gmail.com>

Date: Sat, 13 Oct 2007 18:00:01 UTC

Severity: important

Tags: patch

Found in versions gparted/0.3.3-4, gparted/0.3.3-5

Fixed in version gparted/0.3.3-6

Done: Anibal Monsalve Salazar <anibal@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#446522; Package gparted. Full text and rfc822 format available.

Acknowledgement sent to Paulo Marcel Coelho Aragão <marcelpaulo@gmail.com>:
New Bug report received and forwarded. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Paulo Marcel Coelho Aragão <marcelpaulo@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gparted: crashes when rescanning devices after any operation
Date: Sat, 13 Oct 2007 14:47:28 -0300
Package: gparted
Version: 0.3.3-4
Severity: important

After any successful operation, gparted crashes while rescanning
devices.

I have been using gparted extensively since last night to organize my
partitions on an internal IDE disk and an external USB disk. I think I
have done just about every available operation: create, delete, resize,
move partitions, ... All operations were successful but gparted
***always*** crashes when it's rescanning the devices after the
operations are completed.

I was previously using kernel 2.6.23-rc5-k7 and, non-deterministically,
my whole KDE desktop would freeze while I used gparted. If I were
listening to music on amarok, it would keep repeating the same seconds
of music like a scratched record. I then reverted to kernel 2.6.22-2-k7,
and now gparted crashes deterministically after any successful
operation.

It's a really great software and I don't wanna stop using it. I had to
restart it countless times since last night, but it's well worth the
hassle. It does its job, and very well, intuitively and comfortably. I
do hope this is a simple bug to squash.

I'm running gparted under KDE 3.5.7.

Do let me know if you'd like me to do any tests to diagnose this bug.
I'm more than interested to contribute to its resolution.

Once again, thanks for this great software !
Paulo

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.22-2-k7 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages gparted depends on:
ii  gksu                    2.0.0-4          graphical frontend to su
ii  libatk1.0-0             1.20.0-1         The ATK accessibility toolkit
ii  libc6                   2.6.1-5          GNU C Library: Shared libraries
ii  libcairo2               1.4.10-1         The Cairo 2D vector graphics libra
ii  libcairomm-1.0-1        1.4.2-1          C++ wrappers for Cairo (shared lib
ii  libfontconfig1          2.4.2-1.2        generic font configuration library
ii  libfreetype6            2.3.5-1+b1       FreeType 2 font engine, shared lib
ii  libgcc1                 1:4.2.2-2        GCC support library
ii  libglib2.0-0            2.14.1-5         The GLib library of C routines
ii  libglibmm-2.4-1c2a      2.14.1-0.1       C++ wrapper for the GLib toolkit (
ii  libgtk2.0-0             2.12.0-2         The GTK+ graphical user interface 
ii  libgtkmm-2.4-1c2a       1:2.10.10-0.2    C++ wrappers for GTK+ 2.4 (shared 
ii  libpango1.0-0           1.18.2-2         Layout and rendering of internatio
ii  libparted1.7-1          1.7.1-5.1        The GNU Parted disk partitioning s
ii  libpng12-0              1.2.15~beta5-2   PNG library - runtime
ii  libsigc++-2.0-0c2a      2.0.17-2         type-safe Signal Framework for C++
ii  libstdc++6              4.2.2-2          The GNU Standard C++ Library v3
ii  libuuid1                1.40.2-1         universally unique id library
ii  libx11-6                2:1.0.3-7        X11 client-side library
ii  libxcomposite1          1:0.3.2-1+b1     X11 Composite extension library
ii  libxcursor1             1:1.1.9-1        X cursor management library
ii  libxdamage1             1:1.1.1-3        X11 damaged region extension libra
ii  libxext6                1:1.0.3-2        X11 miscellaneous extension librar
ii  libxfixes3              1:4.0.3-2        X11 miscellaneous 'fixes' extensio
ii  libxi6                  2:1.1.3-1        X11 Input extension library
ii  libxinerama1            1:1.0.2-1        X11 Xinerama extension library
ii  libxrandr2              2:1.2.2-1        X11 RandR extension library
ii  libxrender1             1:0.9.4-1        X Rendering Extension client libra
ii  zlib1g                  1:1.2.3.3.dfsg-6 compression library - runtime

gparted recommends no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#446522; Package gparted. Full text and rfc822 format available.

Acknowledgement sent to Paulo Marcel Coelho Aragão <marcelpaulo@gmail.com>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. Full text and rfc822 format available.

Message #10 received at 446522@bugs.debian.org (full text, mbox):

From: Paulo Marcel Coelho Aragão <marcelpaulo@gmail.com>
To: 446522@bugs.debian.org
Subject: Error messages when run from console
Date: Sat, 13 Oct 2007 15:04:49 -0300
I forgot something: I ran gparted from the console and these are the
error messages it spits when it crashes:

======================
libparted : 1.7.1
======================

glibmm-ERROR **:
unhandled exception (type std::exception) in signal handler:
what: std::bad_alloc

aborting...
Aborted

Regards,
Paulo




Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#446522; Package gparted. Full text and rfc822 format available.

Acknowledgement sent to DS <fechiny@gmail.com>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. Full text and rfc822 format available.

Message #15 received at 446522@bugs.debian.org (full text, mbox):

From: DS <fechiny@gmail.com>
To: 446522@bugs.debian.org
Subject: [PATCH] Refresh devices crash patch
Date: Sun, 4 Nov 2007 12:09:25 +0500
[Message part 1 (text/plain, inline)]
Package: gparted
Version: 0.3.3-5

I have the same error on every refresh of devices list, for example
from the GParted menu (Ctrl+R).

Possible patch is attached.

-- 
wbr
  Denis Sirotkin
[gparted-refresh-devices-crash.diff (text/x-patch, attachment)]

Tags added: patch Request was from DS <fechiny@gmail.com> to control@bugs.debian.org. (Sun, 04 Nov 2007 07:24:02 GMT) Full text and rfc822 format available.

Reply sent to Anibal Monsalve Salazar <anibal@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Paulo Marcel Coelho Aragão <marcelpaulo@gmail.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #22 received at 446522-close@bugs.debian.org (full text, mbox):

From: Anibal Monsalve Salazar <anibal@debian.org>
To: 446522-close@bugs.debian.org
Subject: Bug#446522: fixed in gparted 0.3.3-6
Date: Mon, 12 Nov 2007 05:19:04 +0000
Source: gparted
Source-Version: 0.3.3-6

We believe that the bug you reported is fixed in the latest version of
gparted, which is due to be installed in the Debian FTP archive:

gparted_0.3.3-6.diff.gz
  to pool/main/g/gparted/gparted_0.3.3-6.diff.gz
gparted_0.3.3-6.dsc
  to pool/main/g/gparted/gparted_0.3.3-6.dsc
gparted_0.3.3-6_amd64.deb
  to pool/main/g/gparted/gparted_0.3.3-6_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 446522@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Anibal Monsalve Salazar <anibal@debian.org> (supplier of updated gparted package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 07 Nov 2007 21:39:41 +1100
Source: gparted
Binary: gparted
Architecture: source amd64
Version: 0.3.3-6
Distribution: unstable
Urgency: low
Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
Changed-By: Anibal Monsalve Salazar <anibal@debian.org>
Description: 
 gparted    - GNOME partition editor
Closes: 446522 449546
Changes: 
 gparted (0.3.3-6) unstable; urgency=low
 .
   * Fixed FTBFS on mips, closes: #449546
     Patch by Thiemo Seufer <ths@networkno.de>
   * Fixed "crashes when rescanning devices after any operation",
     closes: #446522. Patch by Denis Sirotkin <fechiny@gmail.com>
Files: 
 3ed803e63102194e5c9abb664e5f1919 784 gnome optional gparted_0.3.3-6.dsc
 df7f2978051a4b52d6a99d5ac3ee1080 9558 gnome optional gparted_0.3.3-6.diff.gz
 d67502e4ad63b422749d88823365a5c7 538930 gnome optional gparted_0.3.3-6_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHNqppgY5NIXPNpFURAhCSAKC8qyln27aTFoIG4PSyXk0NEBRadgCeOKnL
BNmKaADy7+AwaL+tbNgLoeI=
=jZWO
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 03 Jan 2008 07:30:17 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 13:00:42 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.